---
title: "ceil"
excerpt: "Computes the smallest integer greater than or equal to a number."
layout: manual
---

Computes the smallest integer greater than or equal to a number.



```js
ceil(num: number) -> number
```

### Tags

* `math`

### Examples

```js
const sketch001 = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> lineTo([12, 10], %)
  |> line([ceil(7.02986), 0], %)
  |> yLineTo(0, %)
  |> close(%)

const extrude001 = extrude(5, sketch001)
```

![Rendered example of ceil 0](data:image/png;base64,[encoded data, 166368 characters])

### Arguments

* `num`: `number` (REQUIRED)

### Returns

`number`



